<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setTheme](./bitburner.userinterface.settheme.md)

## UserInterface.setTheme() method

Sets the current theme

<b>Signature:</b>

```typescript
setTheme(newTheme: UserInterfaceTheme): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  newTheme | UserInterfaceTheme |  |

<b>Returns:</b>

void

## Remarks

RAM cost: 0 GB

## Example

Usage example (NS2)

```ts
const theme = ns.ui.getTheme();
theme.primary = '#ff5500';
ns.ui.setTheme(theme);
```

